apiVersion: apps/v1
kind: Deployment
metadata:
  name: ffmpeg
spec:
  selector:
    matchLabels:
      app: ffmpeg
  template:
    metadata:
      labels:
        app: ffmpeg
    spec:
      volumes:
      - name: data
        persistentVolumeClaim:
          claimName: ffmpeg
      containers:
      - name: ffmpeg
        image: linuxserver/ffmpeg:latest
        volumeMounts:
        - mountPath: /config
          name: data
        command:
          - /bin/bash
          - -c
          - 'sleep infinity'
        resources:
          limits:
            memory: "2Gi"
            cpu: "8"

---

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: ffmpeg
spec:
  storageClassName: zfs-iscsi-enc0-ext4
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 64Gi
